﻿#!/bin/bash

# Raspberry pi RAL-SRC4392 Sampling rate fs set utility
#  Rev. 1.0  16/Oct./2017 
#  C.Okamura / RATOC Systems.com

echo Select Sampling rate for RAL-SRC4392P
fs1="192kHz"
fs2="176.8kHz"
fs3="96kHz"
fs4="88.2kHz"
fs5="48kHz"
fs6="44.1kHz"
fs7="Exit"

select ANS in "$fs1" "$fs2" "$fs3" "$fs4" "$fs5" "$fs6" "$fs7"
do
  if [ -z "$ANS" ]; then
    echo Exit
    exit
  else
    echo Break
    break
  fi
done
echo Your selection is $REPLY\) $ANS

    # Switch
    case $REPLY in
     1)
      fs="192"
      ;;
     2)
      fs="176"
      ;;
     3)
      fs="96"
      ;;
     4)
      fs="88"
      ;;
     5)
      fs="48"
      ;;
     6)
      fs="44"
      ;;
     *)
      exit
      ;;
     esac

     CMD="sudo python /home/volumio/src4392_2R7.py $fs"
     #echo $CMD
     printf "$CMD\n"
     eval ${CMD}

